> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Export an SMS campaign's recipients

POST https://api.brevo.com/v3/smsCampaigns/{campaignId}/exportRecipients
Content-Type: application/json

It returns the background process ID which on completion calls the notify URL that you have set in the input.

Reference: https://developers.brevo.com/reference/request-sms-recipient-export

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `campaignId` (long, required) — id of the campaign

### Body (application/json)

- `recipientsType` (enum, required) — Filter the recipients based on how they interacted with the campaign
  - Allowed values: `all`, `delivered`, `answered`, `softBounces`, `hardBounces`, `unsubscribed`
- `notifyURL` (string, optional) — URL that will be called once the export process is finished. For reference, https://help.brevo.com/hc/en-us/articles/360007666479

## Response

### 202

process id created

- `processId` (long, required) — Id of the process created

## Examples

**Request**

```json
{
  "recipientsType": "answered"
}
```

**Response**

```json
{
  "processId": 78
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.smsCampaigns.requestSmsRecipientExport({
        campaignId: 1,
        recipientsType: "answered",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.sms_campaigns.request_sms_recipient_export(
    campaign_id=1,
    recipients_type="answered",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\SmsCampaigns\Requests\RequestSmsRecipientExportRequest;
use Brevo\SmsCampaigns\Types\RequestSmsRecipientExportRequestRecipientsType;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->smsCampaigns->requestSmsRecipientExport(
    1,
    new RequestSmsRecipientExportRequest([
        'recipientsType' => RequestSmsRecipientExportRequestRecipientsType::Answered->value,
    ]),
);

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/smsCampaigns/1/exportRecipients"

	payload := strings.NewReader("{\n  \"recipientsType\": \"answered\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/smsCampaigns/1/exportRecipients")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"recipientsType\": \"answered\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.brevo.com/v3/smsCampaigns/1/exportRecipients")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"recipientsType\": \"answered\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/smsCampaigns/1/exportRecipients");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"recipientsType\": \"answered\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["recipientsType": "answered"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/smsCampaigns/1/exportRecipients")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```